Project

General

Profile

Bug #18776

Katello 3.2 scenario installation fails

Added by Leigh Peterson about 5 years ago. Updated almost 4 years ago.

Status:
Rejected
Priority:
High
Category:
Installer
Target version:
Difficulty:
Triaged:
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

When trying to install the katello scenario via foreman-installer (CentOS7), the installer fails with different issues. The yum repos are as follows:

repo id                   repo name
base/7/x86_64 CentOS-7 - Base
centos-sclo-rh/x86_64 CentOS-7 - SCLo rh
centos-sclo-sclo/x86_64 CentOS-7 - SCLo sclo
epel/x86_64 Extra Packages for Enterprise Linux 7 - x86_64
extras/7/x86_64 CentOS-7 - Extras
foreman/x86_64 Foreman 1.14
foreman-plugins/x86_64 Foreman plugins 1.14
katello/x86_64 Katello 3.2
katello-candlepin/x86_64 Candlepin: an open source entitlement management system.
katello-client/x86_64 Katello Client 3.2
katello-pulp/x86_64 Pulp Community Releases
puppetlabs-pc1/x86_64 Puppet Labs PC1 Repository el 7 - x86_64
updates/7/x86_64 CentOS-7 - Updates

1. Install packages with "yum install -y katello"
2. Running "foreman-installer --scenario katello" results in the following error:

Parameter foreman-server-ssl-crl invalid: false is not one of string or regexes matching /^(([a-zA-Z]:[\\\/])|([\\\/][\\\/][^\\\/]+[\\\/][^\\\/]+)|([\\\/][\\\/]\?[\\\/][^\\\/]+))/ or regexes matching /^\/([^\/\0]+(\/)?)+$/

3. Defining that parameter results in a Puppet dependeny cycle:

foreman-installer --scenario katello --foreman-server-ssl-crl=

Failed to apply catalog: Found 1 dependency cycle:
(Anchor[foreman::service_begin] => Service[httpd] => Exec[foreman-rake-db:seed] => Foreman::Rake[db:seed] => Class[Foreman::Database] => Class[Foreman::Service] => Anchor[foreman::service_begin])
Try the '--graph' option and opening the resulting '.dot' file in OmniGraffle or GraphViz
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/simple_graph.rb:242:in `report_cycles_in_graph'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:106:in `traverse'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:154:in `evaluate'
/usr/share/gems/gems/kafo-1.0.5/modules/kafo_configure/lib/puppet/parser/functions/add_progress.rb:30:in `evaluate_with_trigger'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:222:in `block in apply'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:155:in `with_destination'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:142:in `as_logging_destination'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:221:in `apply'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:171:in `block in apply_catalog'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:223:in `block in benchmark'
/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in `realtime'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:222:in `benchmark'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:170:in `apply_catalog'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:343:in `run_internal'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:221:in `block in run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:293:in `override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:195:in `run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:350:in `apply_catalog'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:274:in `block in main'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:293:in `override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:225:in `main'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:170:in `run_command'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:344:in `block in run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:541:in `exit_on_fail'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:344:in `run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:132:in `run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:72:in `execute'
/opt/puppetlabs/puppet/bin/puppet:5:in `<main>'

Related issues

Is duplicate of Katello - Bug #17414: Installation failed - Failed to apply catalog: Found 1 dependency cycleClosed2016-11-21

History

#1 Updated by Dominic Cleal about 5 years ago

  • Project changed from Installer to Katello

#2 Updated by Justin Sherrill about 5 years ago

  • Category set to Installer

This looks like a dupe of http://projects.theforeman.org/issues/17414 which was fixed in 3.3. I would be whatever broke it as part of 3.3 was backported to 3.2.

#3 Updated by Justin Sherrill about 5 years ago

Would you be able to try installing 3.3? It is at a stable release. We could look at backporting the fix to 3.2, but at this stage that may be unlikely.

#4 Updated by Justin Sherrill about 5 years ago

  • Assignee set to Justin Sherrill

#5 Updated by Justin Sherrill about 5 years ago

  • Is duplicate of Bug #17414: Installation failed - Failed to apply catalog: Found 1 dependency cycle added

#6 Updated by Justin Sherrill about 5 years ago

  • Status changed from New to Need more information
  • Legacy Backlogs Release (now unused) set to 166

#7 Updated by Eric Helms about 5 years ago

  • Status changed from Need more information to Rejected

If you get around to testing the requested scenario and still hit this issue please re-open.

Also available in: Atom PDF